Как установить python 3.7 на debian линукс?

стоит debian 9.4 стабильная версия.
В первый раз получалось поставить интерпретатор 3.7 с офф сайта. В терминале даже писало версию и мог пользоваться с терминала. Захотел поставить pyCharm - но он не видел последнюю версию, только 3.5 и 2.7.
Потом по другой проблеме переустановил систему и решил снова закачать пайтон, но тут посыпалось много ошибок которых в тот раз не было, какие то сложности в установке и прочее. Может я что то не так делаю?
Укажите пожалуйста инструкцию по установке последней версии именно для debian! В интернете ничего не помогает, ошибки make и прочее сыпется... Make test тоже ошибки.

И да, в будущем хочу писать либо в pyCharm либо что то другое, тут я ещё не знаю( может саблайм или vim... видите эта проблема что он не видит 3.7 версию вообще пугает, типа стоит ли ставить сейчас её если всё равно линукс даже не видит 3.7? (не мог приложения им открывать, только 3.5 везде было, но в терминале писало тогда 3.7)